You are Here:
Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.



Missing libncurses5-dev and dpkg-dev?

Author (Read 5714 times)

0 Members and 2 Guests are viewing this topic.

Missing libncurses5-dev and dpkg-dev?
« on: September 02, 2014, 07:10:17 PM »
 

bashcommando

  • Guest
I was going to build a kernel on Linux Lite and it said the packages didn't exist. Help?
 


Re: Missing libncurses5-dev and dpkg-dev?
« Reply #1 on: September 02, 2014, 07:29:08 PM »
 

rokytnji

  • Friganeer
  • Platinum Level Poster
  • **********
  • 1257
    Posts
  • Country: us
  • Reputation: 134

  • Linux Lite: 3.6 64bit

  • CPU: Intel Core2 Duo U9600

  • MEMORY: 4Gb

  • VIDEO CARD: Intel Mobile 4
Code: [Select]
harry@biker1:~$ apt-cache search libmcurses
harry@biker1:~$ apt-cache search libncurses
libncurses5 - shared libraries for terminal handling
libncurses5-dbg - debugging/profiling libraries for ncurses
libncurses5-dev - developer's libraries for ncurses
libncursesw5 - shared libraries for terminal handling (wide character support)
libncursesw5-dbg - debugging/profiling libraries for ncursesw
libncursesw5-dev - developer's libraries for ncursesw
centerim-utf8 - A text-mode multi-protocol instant messenger client
libncurses-gst - Ncurses bindings for GNU Smalltalk
libncursesada-dbg - Ada binding to the ncurses text interface library: debug symbols
libncursesada-doc - Ada binding to the ncurses text interface library: documentation
libncursesada2 - Ada binding to the ncurses text interface library: shared library
libncursesada2-dev - Ada binding to the ncurses text interface library: development
harry@biker1:~$ apt-cache search dpkg
alien - convert and install rpm and other packages
apt-clone - Script to create state bundles
aptdaemon - transaction based package management service
archdetect-deb - Hardware architecture detector
build-essential - Informational list of build-essential packages
dctrl-tools - Command-line tools to process Debian package information
debootstrap - Bootstrap a basic Debian system
devscripts - scripts to make the life of a Debian Package maintainer easier
dh-exec - Scripts to help with executable debhelper files
dpkg - Debian package management system
dpkg-cross - tools for cross compiling Debian packages
dpkg-dev - Debian package development tools
dpkg-repack - puts an unpacked .deb file back together
exim4 - metapackage to ease Exim MTA (v4) installation
exim4-base - support files for all Exim MTA (v4) packages
exim4-config - configuration for the Exim MTA (v4)
exim4-daemon-heavy - Exim MTA (v4) daemon with extended features, including exiscan-acl
exim4-daemon-heavy-dbg - debugging symbols for the Exim MTA "heavy" daemon
exim4-daemon-light - lightweight Exim MTA (v4) daemon
exim4-daemon-light-dbg - debugging symbols for the Exim MTA "light" daemon
exim4-dbg - debugging symbols for the Exim MTA (utilities)
exim4-dev - header files for the Exim MTA (v4) packages
libc6-arm64-cross - Embedded GNU C Library: Shared libraries (for cross-compiling)
libc6-armel-cross - Embedded GNU C Library: Shared libraries (for cross-compiling)
libc6-armhf-cross - Embedded GNU C Library: Shared libraries (for cross-compiling)
libc6-dev-arm64-cross - Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
libc6-dev-armel-cross - Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
libc6-dev-armhf-cross - Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
libc6-dev-powerpc-cross - Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
libc6-dev-ppc64-powerpc-cross - Embedded GNU C Library: 64bit Development Libraries for PowerPC64 (for cross-compiling)
libc6-dev-ppc64el-cross - Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
libc6-powerpc-cross - Embedded GNU C Library: Shared libraries (for cross-compiling)
libc6-ppc64-powerpc-cross - Embedded GNU C Library: 64bit Shared libraries for PowerPC64 (for cross-compiling)
libc6-ppc64el-cross - Embedded GNU C Library: Shared libraries (for cross-compiling)
libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
libdpkg-dev - Debian package management static library
libdpkg-perl - Dpkg perl modules
libparse-debcontrol-perl - parser for debian control-like files
libparse-debianchangelog-perl - parse Debian changelogs and output them in other formats
linux-libc-dev-arm64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armhf-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpc-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64el-cross - Linux Kernel Headers for development (for cross-compiling)
pkgbinarymangler - strips translations and alters maintainers during build
ucf - Update Configuration File(s): preserve user changes to config files
unattended-upgrades - automatic installation of security upgrades
apt-dpkg-ref - APT, Dpkg Quick Reference sheet
apt-show-source - Shows source-package information
apt-show-versions - lists available package versions with distribution
blhc - build log hardening check
config-package-dev - Debhelper (and CDBS) modules for building configuration packages
cruft - program that finds any cruft built up on your system
cupt - alternative front-end for dpkg -- console interface
cupt-dbg - alternative front-end for dpkg -- debugging symbols
cvs-buildpackage - A set of Debian package scripts for CVS source trees.
debfoster - Install only wanted Debian packages
dlocate - fast alternative to dpkg -L and dpkg -S
dpkg-awk - Gawk script to parse /var/lib/dpkg/{status,available} and Packages
dpkg-dev-el - Emacs helpers specific to Debian development
dpkg-ruby - Transitional package for ruby-debian
dpkg-sig - create and verify signatures on .deb-files
dpkg-www - Web based Debian package browser
epm - Cross-platform package builder by Easy Software Products
equivs - Circumvent Debian package dependencies
galternatives - graphical setup tool for the alternatives system
gkdebconf - Helper to reconfigure packages with Debconf
kalternatives - graphical alternatives system configuration tool
kbtin - tintin++ style text-based MUD client
libc6-dbg-arm64-cross - Embedded GNU C Library: detached debugging symbols (for cross-compiling)
libc6-dbg-armel-cross - Embedded GNU C Library: detached debugging symbols (for cross-compiling)
libc6-dbg-armhf-cross - Embedded GNU C Library: detached debugging symbols (for cross-compiling)
libc6-dbg-powerpc-cross - Embedded GNU C Library: detached debugging symbols (for cross-compiling)
libc6-dbg-ppc64el-cross - Embedded GNU C Library: detached debugging symbols (for cross-compiling)
libconfig-model-dpkg-perl - editor for Dpkg source files with validation
libcupt-common - alternative front-end for dpkg -- runtime library (support files)
libcupt3-0 - alternative front-end for dpkg -- runtime library
libcupt3-0-downloadmethod-curl - alternative front-end for dpkg -- libcurl download method
libcupt3-0-downloadmethod-wget - alternative front-end for dpkg -- wget download method
libcupt3-dev - alternative front-end for dpkg -- development files
libcupt3-doc - alternative front-end for dpkg -- library documentation
libdpkg-log-perl - module for parsing and analysing dpkg log files
libdpkg-ruby - Transitional package for ruby-debian
libdpkg-ruby1.8 - Transitional package for ruby-debian
libdpkg-ruby1.9.1 - Transitional package for ruby-debian
libghc-dpkg-dev - Haskell bindings to libdpkg
libghc-dpkg-doc - Haskell bindings to libdpkg; documentation
libghc-dpkg-prof - Haskell bindings to libdpkg; profiling libraries
localepurge - reclaim disk space by removing unneeded localizations
multistrap - multiple repository bootstrap based on apt
postgresql-9.3-debversion - Debian version number type for PostgreSQL
python-smartpm - Python library of the Smart Package Manager
ruby-debian - ruby interface for dpkg
smartpm - An alternative package manager that works with dpkg/rpm
smartpm-core - An alternative package manager that works with dpkg/rpm
svn-buildpackage - helper programs to maintain Debian packages with Subversion
sysconftool - development tool to install and update configuration files
vbackup - modular backup utility
wajig - unified package management front-end for Debian
xapt - retrieve, build and install libraries for cross-compiling
xdeb - Cross-build tool for Debian packages
harry@biker1:~$

Take your pick I guess. Howdy and Welcome from a Linux using biker.
LL 3.6,2.8
Dell XT2 > Touchscreen Laptop
Dell 755 > Desktop
Acer 150 > Desktop
I am who I am. Your approval is not needed.
 

Re: Missing libncurses5-dev and dpkg-dev?
« Reply #2 on: September 02, 2014, 07:31:52 PM »
 

bashcommando

  • Guest
Nonono. I NEED libncurses5-dev and dpkg-dev. This is KERNEL development and it will NOT work with a substitute.
 

Re: Missing libncurses5-dev and dpkg-dev?
« Reply #3 on: September 02, 2014, 07:35:38 PM »
 

rokytnji

  • Friganeer
  • Platinum Level Poster
  • **********
  • 1257
    Posts
  • Country: us
  • Reputation: 134

  • Linux Lite: 3.6 64bit

  • CPU: Intel Core2 Duo U9600

  • MEMORY: 4Gb

  • VIDEO CARD: Intel Mobile 4
Code: [Select]
libncurses5-dev - developer's libraries for ncurses
Code: [Select]
dpkg-dev - Debian package development tools
Quote
Nonono. I NEED libncurses5-dev and dpkg-dev. This is KERNEL development and it will NOT work with a substitute.
Errrrrr. Alrighty then.
LL 3.6,2.8
Dell XT2 > Touchscreen Laptop
Dell 755 > Desktop
Acer 150 > Desktop
I am who I am. Your approval is not needed.
 

Re: Missing libncurses5-dev and dpkg-dev?
« Reply #4 on: September 03, 2014, 12:24:41 PM »
 

bashcommando

  • Guest
Code: [Select]
sudo apt-get install libncurses5-dev dpkg-devIt's not working. Are you using a repo I don't have?
 

Re: Missing libncurses5-dev and dpkg-dev?
« Reply #5 on: September 03, 2014, 02:53:49 PM »
 

rokytnji

  • Friganeer
  • Platinum Level Poster
  • **********
  • 1257
    Posts
  • Country: us
  • Reputation: 134

  • Linux Lite: 3.6 64bit

  • CPU: Intel Core2 Duo U9600

  • MEMORY: 4Gb

  • VIDEO CARD: Intel Mobile 4
I don't know bro.

Take a look see I guess.

Code: [Select]
$ inxi -r
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://us.archive.ubuntu.com/ubuntu/ trusty main restricted
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty main restricted
           deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates main restricted
           deb http://us.archive.ubuntu.com/ubuntu/ trusty universe
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty universe
           deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates universe
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates universe
           deb http://us.archive.ubuntu.com/ubuntu/ trusty multiverse
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty multiverse
           deb http://us.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-updates multiverse
           deb http://us.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
           deb-src http://us.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu trusty-security main restricted
           deb-src http://security.ubuntu.com/ubuntu trusty-security main restricted
           deb http://security.ubuntu.com/ubuntu trusty-security universe
           deb-src http://security.ubuntu.com/ubuntu trusty-security universe
           deb http://security.ubuntu.com/ubuntu trusty-security multiverse
           deb-src http://security.ubuntu.com/ubuntu trusty-security multiverse
           deb http://archive.canonical.com/ trusty partner
           deb http://repo.linuxliteos.com/linuxlite/ beryl main
           Active apt sources in file: /etc/apt/sources.list.d/ehoover-compholio-trusty.list
           deb http://ppa.launchpad.net/ehoover/compholio/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome-beta.list
           deb http://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb http://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/google-talkplugin.list
           deb http://dl.google.com/linux/talkplugin/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/libreoffice-ppa-trusty.list
           deb http://ppa.launchpad.net/libreoffice/ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/mumble-release-trusty.list
           deb http://ppa.launchpad.net/mumble/release/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/otto-kesselgulasch-gimp-trusty.list
           deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/steam.list
           deb [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           deb-src [arch=amd64,i386] http://repo.steampowered.com/steam/ precise steam
           Active apt sources in file: /etc/apt/sources.list.d/team-xbmc-ppa-trusty.list
           deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu trusty main
           Active apt sources in file: /etc/apt/sources.list.d/ubuntu-wine-ppa-trusty.list
           deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu trusty main

This is a stock install. I removed a repo or 2 myself so it/my repo list,  may be a bit lighter since my intro.

https://www.linuxliteos.com/forums/index.php?topic=721.0

Yeah, just checked for grins and I got em.

Code: [Select]
~$ apt-cache policy libncurses5-dev
libncurses5-dev:
  Installed: (none)
  Candidate: 5.9+20140118-1ubuntu1
  Version table:
     5.9+20140118-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main i386 Packages

Code: [Select]
apt-cache policy dpkg-dev
dpkg-dev:
  Installed: (none)
  Candidate: 1.17.5ubuntu5.3
  Version table:
     1.17.5ubuntu5.3 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main i386 Packages
     1.17.5ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main i386 Packages

Not sure what you are missing?
Last Edit: September 03, 2014, 02:56:57 PM by rokytnji
LL 3.6,2.8
Dell XT2 > Touchscreen Laptop
Dell 755 > Desktop
Acer 150 > Desktop
I am who I am. Your approval is not needed.
 

Re: Missing libncurses5-dev and dpkg-dev?
« Reply #6 on: September 03, 2014, 07:31:45 PM »
 

bashcommando

  • Guest
I added 1 of the repos you suggested and it worked. Thank you!
 


Tags:
 


Linux Lite 4.6 Final has been released. See the Release Announcements section for more information.